LinuxQuestions.org
Latest LQ Deal: Complete CCNA, CCNP & Red Hat Certification Training Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-23-2008, 02:32 PM   #1
alerik410
LQ Newbie
 
Registered: Jul 2008
Location: Casselberry, FL
Distribution: freespire
Posts: 15

Rep: Reputation: 0
Question Help..Can't install games


I keep getting a dpkg error when trying to install games from CNR. I've tried 2 tank games and Quake II. I am new to Linux. How do I install these games?
Thanks.
alerik410
 
Old 07-23-2008, 03:01 PM   #2
budword
Member
 
Registered: Apr 2003
Location: Wisconsin
Distribution: Switched to regualr Ubuntu, because I don't like KDE4, at all. Looks like vista on crack.....
Posts: 675

Rep: Reputation: 31
What is the error exactly ? More info is always better than less.

David
 
Old 07-23-2008, 03:50 PM   #3
jay73
LQ Guru
 
Registered: Nov 2006
Location: Belgium
Distribution: Ubuntu 11.04, Debian testing
Posts: 5,019

Rep: Reputation: 130Reputation: 130
So what does it say? Broken package or something like that? I have never used freespire so I'll have to guess. If freespire uses apt, it probably has Synaptic package manager. Search your menus and open it. If it warns you that you have a broken package, click on edit > fix broken packages so that it can install any missing packages.
 
Old 07-23-2008, 03:57 PM   #4
alerik410
LQ Newbie
 
Registered: Jul 2008
Location: Casselberry, FL
Distribution: freespire
Posts: 15

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by budword View Post
What is the error exactly ? More info is always better than less.

David

I keep getting the message that "CNR received a dpkg error."
 
Old 07-23-2008, 10:11 PM   #5
budword
Member
 
Registered: Apr 2003
Location: Wisconsin
Distribution: Switched to regualr Ubuntu, because I don't like KDE4, at all. Looks like vista on crack.....
Posts: 675

Rep: Reputation: 31
Try this...

dpkg --configure -a

Run it as root, in a terminal, or as sudo if freespire uses sudo, I'm not sure. Let us know if it works...

David
 
Old 07-24-2008, 02:16 AM   #6
alerik410
LQ Newbie
 
Registered: Jul 2008
Location: Casselberry, FL
Distribution: freespire
Posts: 15

Original Poster
Rep: Reputation: 0
Question dpkg error reply

Quote:
Originally Posted by budword View Post
Try this...

dpkg --configure -a

Run it as root, in a terminal, or as sudo if freespire uses sudo, I'm not sure. Let us know if it works...

David
O.K .I ran it as sudo. This is what I received:

Setting up zsnes (1.420-2.1ubuntu1) ...

dpkg: dependency problems prevent configuration of kmplayer:
kmplayer depends on kmplayer-base (= 0.9.4-0ubuntu2); however:
Package kmplayer-base is not installed.
dpkg: error processing kmplayer (--configure):
dependency problems - leaving unconfigured
Setting up lbreakout2-data (2.5.2-2.1ubuntu1) ...
Setting up lbreakout2 (2.5.2-2.1ubuntu1) ...

Errors were encountered while processing:
kmplayer
 
Old 07-24-2008, 08:23 AM   #7
jay73
LQ Guru
 
Registered: Nov 2006
Location: Belgium
Distribution: Ubuntu 11.04, Debian testing
Posts: 5,019

Rep: Reputation: 130Reputation: 130
Did you read my advice at all?
 
Old 07-24-2008, 09:04 PM   #8
alerik410
LQ Newbie
 
Registered: Jul 2008
Location: Casselberry, FL
Distribution: freespire
Posts: 15

Original Poster
Rep: Reputation: 0
synaptic

Quote:
Originally Posted by jay73 View Post
Did you read my advice at all?
I did but I do not know how to access synaptic,

alerik410
 
Old 07-24-2008, 09:42 PM   #9
jay73
LQ Guru
 
Registered: Nov 2006
Location: Belgium
Distribution: Ubuntu 11.04, Debian testing
Posts: 5,019

Rep: Reputation: 130Reputation: 130
http://wiki.freespire.org/index.php/Synaptic
 
Old 07-24-2008, 11:18 PM   #10
budword
Member
 
Registered: Apr 2003
Location: Wisconsin
Distribution: Switched to regualr Ubuntu, because I don't like KDE4, at all. Looks like vista on crack.....
Posts: 675

Rep: Reputation: 31
Hi, you almost certainly have synaptic installed. You can reach it by typing in a terminal...

sudo synaptic

If you don't have it installed, you can try....

sudo apt-get install synaptic

If that doesn't work we'll need to add a new repository, but I would be shocked if it didn't work.

Let us know how it goes.....

David
 
Old 07-25-2008, 02:05 AM   #11
alerik410
LQ Newbie
 
Registered: Jul 2008
Location: Casselberry, FL
Distribution: freespire
Posts: 15

Original Poster
Rep: Reputation: 0
Question synaptic continued

Quote:
Originally Posted by budword View Post
Hi, you almost certainly have synaptic installed. You can reach it by typing in a terminal...

sudo synaptic

If you don't have it installed, you can try....

sudo apt-get install synaptic

If that doesn't work we'll need to add a new repository, but I would be shocked if it didn't work.

Let us know how it goes.....

David
I tried it. It could not find synaptic. When I tried the install I received this:

sudo apt-get install synaptic
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
kmplayer: Depends: kmplayer-base (= 0.9.4-0ubuntu2) but it is not going to be installed
synaptic: Depends: liblaunchpad-integration0 (>= 0.0patch26) but it is not going to be installed
Depends: scrollkeeper but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
root@The-Deasons:~# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following extra packages will be installed:
kmplayer-base
The following NEW packages will be installed:
kmplayer-base
0 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
1 not fully installed or removed.
Need to get 0B/472kB of archives.
After unpacking 1524kB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
kmplayer-base
Authentication warning overridden.
(Reading database ... 90873 files and directories currently installed.)
Unpacking kmplayer-base (from .../kmplayer-base_0.9.4-0ubuntu2_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/kmplayer-base_0.9.4-0ubuntu2_i386.deb (--unpack):
trying to overwrite `/usr/share/mimelnk/video/x-ms-wmp.desktop', which is also in package los-additional-mimetypes
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
/var/cache/apt/archives/kmplayer-base_0.9.4-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
 
Old 07-25-2008, 03:51 AM   #12
jomen
Senior Member
 
Registered: May 2004
Location: Leipzig/Germany
Distribution: Arch
Posts: 1,687

Rep: Reputation: 54
freespire is built around kde - so installing synaptic is not the best idea because of dependencies.

It uses - as stated in their documentation - CNR instead of apt-get

http://wiki.freespire.org/index.php/...rom_apt-get.3F
http://wiki.freespire.org/index.php/...use_apt-get.3F
freespire user-manual has this to say on CNR: http://wiki.freespire.org/index.php/CNR

It looks like you are a little locked in to them - while still being able to do what you want - if you know how.
Using apt get would be good because many here know how to use it - I don't know how to adjust the software-sources it uses - if these are just freespires own or if you could use others as well.

HTH a little
 
Old 07-25-2008, 05:01 AM   #13
budword
Member
 
Registered: Apr 2003
Location: Wisconsin
Distribution: Switched to regualr Ubuntu, because I don't like KDE4, at all. Looks like vista on crack.....
Posts: 675

Rep: Reputation: 31
Well... try this....

sudo apt-get -f install

I think that will fix your problem. If that works, click and run should work just fine.

Let us know if that works....

David

P.S. I don't think freespire is going to survive. You might want to look for another distro someday soon. If you are a kde fan, kubuntu is going to be around for a while, and is based on the very popular ubuntu. (Which is based on the fantastic debian, to give credit where credit is due.) I also like Vector Linux light edition, if you want something speedy for older hardware.

David
 
Old 07-25-2008, 06:35 AM   #14
budword
Member
 
Registered: Apr 2003
Location: Wisconsin
Distribution: Switched to regualr Ubuntu, because I don't like KDE4, at all. Looks like vista on crack.....
Posts: 675

Rep: Reputation: 31
Oh, I did a little bit of searching, and they say on cnr.com that using apt won't screw up a box that uses cnr. So, I suspect that cnr is just a front end for apt and dpkg. In any event, they say no harm will come as long as you use the same repositories. If you mix and match repo's well, then things might get screwed up. I'll feel much safer with just apt myself.

Let us know if that works for you......

David

Oh, here is where I got that little bit of info...

http://community.cnr.com/docs/DOC-1332

P.S.

Oh, I just pointed out how to get to synaptic because someone else suggested using it to solve your dependency problem, I prefer adept myself. You won't hurt anything by using adept. If you are using kde, using adept might be a little bit better. You'll still have to fix whatever is going wrong though. CNR and adept are both using apt, and apt is what is screwed up, so you'll have to fix that in any event.

Good luck...

David

Last edited by budword; 07-25-2008 at 06:38 AM.
 
Old 07-25-2008, 06:44 AM   #15
jay73
LQ Guru
 
Registered: Nov 2006
Location: Belgium
Distribution: Ubuntu 11.04, Debian testing
Posts: 5,019

Rep: Reputation: 130Reputation: 130
Code:
P.S. I don't think freespire is going to survive. You might want to look for another distro someday soon. If you are a kde fan, kubuntu is going to be around for a while, and is based on the very popular ubuntu. (Which is based on the fantastic debian, to give credit where credit is due.) I also like Vector Linux light edition, if you want something speedy for older hardware.
Agree, this is getting awfully painful for something that takes only a few clicks in most other Linux distros...
 
  


Reply

Tags
games, install, quake


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
How do you install games /home/kyle Linux - Games 13 03-12-2004 12:43 PM
Um... Cant install games Heggis Linux - Games 2 02-25-2004 02:46 PM
can't install games from cd!! Abe_the_Man Linux - Games 4 01-04-2004 12:45 AM
i need help with winex and how to install games nightblade Linux - Software 3 07-21-2003 03:06 AM
ez games to install!?? FreakboY Linux - Newbie 1 07-26-2002 06:17 AM


All times are GMT -5. The time now is 03:18 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration